Skip to main content

Questions tagged [portage]

Portage is the default package management system of Gentoo Linux and its derivative distributions such as Calculate and Funtoo Linux. By default it compiles software from source code following the instructions found in a specialized type of shell script known as an ebuild.

Filter by
Sorted by
Tagged with
1 vote
2 answers
487 views

Gentoo invalid profile

So. Been going at the gentoo install without proper instructions until very recently. After emerge-webrsync stage of the install a message pops up saying "your current profile is invalid". ...
Linuxn00b's user avatar
2 votes
1 answer
1k views

How do you merge files with dispatch-conf?

Sorry for such a simple question, but I can't figure this out for the life of me. Neither DISPATCH-CONF(1) nor wiki.gentoo.org/wiki/Dispatch-conf provide any instructions. When running dispatch-conf: ...
glibg10b's user avatar
  • 368
1 vote
2 answers
558 views

Is it safe to install packages with multiple instances of emerge running at the same time?

I'm currently installing Gentoo by following the Handbook. I ran emerge -uDN @world after changing USE flags and it's taking hours, but I would like to continue with the next step. Is it fine to ...
glibg10b's user avatar
  • 368
0 votes
2 answers
837 views

How can I run many emerge jobs in paralell?

When I install many packages at once, I use emerge --jobs=8 firefox vim. This will install the packages, but it won't run everything in paralel. For example, it will wait compile rust before compiling ...
MaxSilvester's user avatar
1 vote
2 answers
170 views

Is it possible to maintain user-space package-specific patches with Portage?

For example (not necessarily factual), Gentoo has an ebuild git, which has the default branch name main hardcoded in the source code. Alice, as a user of Gentoo, would like to change it to master ...
user3332315's user avatar
0 votes
1 answer
2k views

There are no ebuilds to satisfy

So, I want to install the vimb browser from a Gentoo overlay called 'booboo'. I added the overlay with layman and ran emerge vimb. This is what I get: emerge: there are no ebuilds to satisfy ">...
Akshat Vats's user avatar
0 votes
1 answer
717 views

Command not found: eselect

I am using Gentoo (for the first time, actually). I am trying to set up package management. I discovered that I have to set up portage (emerge). While doing so, I had to run emerge --sync. That gave ...
user904542's user avatar
2 votes
1 answer
1k views

Where to find old portage snapshots for Gentoo upgrade?

I would like to upgrade an old installation (2018) of Gentoo. I tried installing the current portage snapshot but I got (way too) many package conflicts that I could not resolve. So I thought that a ...
Giorgio's user avatar
  • 807
2 votes
2 answers
2k views

download packages for offline gentoo update

I have a machine with gentoo that does not have internet access but I want to install a few packages on it. I do not have another machine with gentoo, how does one download packages for it? google ...
Nullman's user avatar
  • 145
0 votes
1 answer
90 views

Predictable UIDs of users created in the process of portage package installation

Adding users is specified in portage ebuild files using the enewuser function. Some ebuilds call this function with a specific UID (second argument), others either don't provide the argument or ...
Simon Fromme's user avatar
1 vote
1 answer
2k views

Gentoo Linux - "emake" failed: No rule to make target '3'. Stop

I am trying to install Gentoo, where, according to the Handbook, says to update the world set. I get this (truncated for character limit): pqueue.h => ../../include/openssl/pqueue.h make[2]: ...
SealsRock12's user avatar
0 votes
3 answers
2k views

Analogue of AUR for gentoo

Is there a portage extension with user installation scripts like the AUR for Archlinux. I’m curious about Gentoo, and so far every distribution I’ve come across, be it Debian or red hat based, has ...
Alex Petrosyan's user avatar
1 vote
1 answer
285 views

Gentoo how to Install all items within a package

Is it possible to install items in a package category like games-rpg/ using a single portage command? I've tried using things like games-rpg/* but I have not managed to get anything working so far.
John_Hannings's user avatar
0 votes
1 answer
150 views

emerge install package with flag which not in ruby_targets

$ emerge --info | grep ruby ..... RUBY_TARGETS="ruby23" ...... And I run emerge with --newuse and --deep, it will ask me to add use flag with ruby22. These packages are not in @system. These ...
Vonfry's user avatar
  • 248
2 votes
1 answer
3k views

Dependency conflict while upgrading Gentoo

When I tried to upgrade my Gentoo system, I had got following errors: WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict: sys-libs/zlib:0 (sys-libs/zlib-1.2.11-...
user avatar
10 votes
1 answer
4k views

Gentoo portage. How to find out why some particular package is installed?

Well, some packages are installed by my explicit request. These packages are listed in /var/lib/portage/world. But there are packages installed because they required by some of these explicitly ...
lesnik's user avatar
  • 1,371
2 votes
1 answer
2k views

What exactly term ATOM means in Gentoo Portage?

This question is not about text editor named 'atom'. Portage man pages use the term 'ATOM', but I can't find a definition of this term and got confused. I understand that atom describes a package, but ...
lesnik's user avatar
  • 1,371
0 votes
1 answer
400 views

Why /etc/portage/package.use lines do not work installing Openshot?

On Funtoo Linux I has no sense how to solve requirements. I added lines but again and again I cannot run openshot installation # tail -n 5 /etc/portage/package.use >=x11-libs/libXcursor-1.1.14 ...
znavko's user avatar
  • 1
1 vote
1 answer
1k views

Failed to emerge dev-libs/boost-1.65.0

I've got a following error while installing dev-libs/boost-1.65.0: >>> Install boost-1.65.0 into /var/tmp/portage/dev-libs/boost-1.65.0/image/ category dev-libs * abi_x86_64.amd64: running ...
user avatar
1 vote
1 answer
529 views

Failed to emerge net-fs/samba-4.7.0-r1

I'm trying to update Gentoo to unstable. I executed emerge @preserved-rebuild because virtualbox-guest-additions install fails. emerge @preserved-rebuild stopped and threw error while Samba compiling. ...
user avatar
1 vote
1 answer
243 views

Gentoo failed to emerge sys-devel/prelink-20130503

I'm trying to install app-emulation/wine Gentoo package using command: sudo WINE_COMMIT="wine-2.0-rc5" STAGING_COMMIT="v2.0-rc5" emerge -av '=app-emulation/wine-9999' but compilation of sys-devel/...
user avatar
1 vote
1 answer
1k views

Getting a list of package names that are available to be installed in Portage

I'm working on a Chromebook. Since Chrome OS is based on Gentoo, the package management system that is available in developer mode is Portage. emerge is the command to use to install packages, but it ...
Melab's user avatar
  • 4,138
1 vote
1 answer
934 views

How to upgrade Gentoo to use the latest versions of all installed software, including those with blank keywords?

I know how to upgrade Gentoo to use the latest version of all installed software marked with the testing keyword, namely by editing the ACCEPT_KEYWORDS line in /etc/portage/make.conf to: ...
Josh Pinto's user avatar
  • 3,493
1 vote
2 answers
342 views

How to work around a error in an eclass file located in a Gentoo overlay?

(cross-posting from the Gentoo forum) I try editing the .eclass file in order to correct the error, but it seems my edits are being defeated by a cache somewhere. The initial error occurs when I run ...
Michael Allan's user avatar
2 votes
0 answers
78 views

Install Japanese input method on exGENT [closed]

I installed exGENT Xfce in VirtualBox. I'd like to install fcitx, fcitx-configtool, fcitx-anthy. An error message will be issued as below. !!! /etc/portage/make.profile is not a symlink and will ...
usuha's user avatar
  • 41
0 votes
2 answers
969 views

How to use two profiles in Gentoo the correct way?

What is the right way to use two profiles in Gentoo? Should I simply add the absolute path of the two profiles (e.g. the profile paths of systemd and hardened) to /etc/portage/make.profiles/parent? E....
fremon's user avatar
  • 71
4 votes
1 answer
3k views

python3_5 in PYTHON_TARGETS not working in Gentoo?

I've added PYTHON_TARGETS="python2_7 python3_5 python3_4" to my /etc/portage/make.conf. When trying to install any program that supports python targets the following happens: sudo emerge --ask dev-...
Anton Linevych's user avatar
2 votes
1 answer
1k views

How to allow unstable while preferring stable packages in gentoo?

Building on my previous question, I'd like a more automatic way of allowing unstable packages when there is no stable version in the tree, but otherwise using stable versions. My reading of the docs, ...
Ryne Everett's user avatar
  • 2,393
3 votes
1 answer
1k views

How to emerge world, including overlays, in gentoo

I recently noticed that emerging world does not upgrade packages obtained with layman. I have been syncing with layman, and in fact many of the overlay packages currently installed are no longer in ...
Ryne Everett's user avatar
  • 2,393
0 votes
2 answers
3k views

Gentoo: cannot install sys-kernel/gentoo-sources-4.4.6, no error message

I am trying to install Gentoo on an old laptop following the online handbook. I got as far as installing the kernel sources (see here): the installation with emerge --ask sys-kernel/gentoo-sources ...
Giorgio's user avatar
  • 807
4 votes
2 answers
4k views

Gentoo: how can I emerge a package while keeping previous resume data?

Let's suppose in Gentoo Linux I'm emerging a lot of packages with parallel emerging enabled, and one of them fails because compiling its source code takes a lot of RAM, so the compiler ran into an out-...
RAKK's user avatar
  • 1,362
3 votes
2 answers
253 views

Make Portage install non-free software after confirmation

So, in my make.conf I have ACCEPT_LICENSE="@FREE" variable set up, but I still want to use some proprietary software. Best case scenario would be Portage warning that the software I'm going to install ...
Nobody's user avatar
  • 31
1 vote
2 answers
2k views

Gentoo emerge blocked package issue

It seems that package clamav prevents itself from upgrade. Portage is up to date and portage tree is synchronized. Is anybody knows ho to solve this issue with blocking package in gentoo? # emerge -...
Peter Sutta's user avatar
1 vote
2 answers
103 views

Which package in Gentoo provides xmlcatalog command?

I got xmlcatalog not found error. I think I removed some system packages by mistake. Which package provides this tool? Is there a place online that I can check?
David S.'s user avatar
  • 5,599
3 votes
2 answers
957 views

Does Portage rebuild full packages when updating?

When I update a Gentoo system, does Portage fetch new sources, extract them and recompile everything from scratch, or does it extract it to existing sources and compile only changed files?
Ognjen Galić's user avatar